Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161351 - decimal sign on keypad is a pipe symbol when using non-english keyboard
Summary: decimal sign on keypad is a pipe symbol when using non-english keyboard
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 16:21 UTC by Martin Winkler
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-12 11:04:42 UTC


Attachments (Terms of Use)
patch for GTK1 (not really used, but added for completeness) (deleted)
2005-06-23 09:30 UTC, Martin Winkler
no flags Details | Diff
gtk2-patch - fixes the bug (deleted)
2005-06-23 09:31 UTC, Martin Winkler
no flags Details | Diff
patch for firefox.spec file (just adding the two patch files) (deleted)
2005-06-23 09:32 UTC, Martin Winkler
no flags Details | Diff

Description Martin Winkler 2005-06-22 16:21:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050622 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Entering decimal values with the keypad is not possible when using a non-english keyboard layout. The decimal character is substituted by a pipe (|) character.

Version-Release number of selected component (if applicable):
firefox-1.0.4-1.3.1

How reproducible:
Always

Steps to Reproduce:
1.use a german keyboard layout
2.type "," on the keypad into the location bar or in any other text field

  

Additional info:

there is already a patch in https://bugzilla.mozilla.org/show_bug.cgi?id=108170  ( https://bugzilla.mozilla.org/attachment.cgi?id=160938 ) that solves the problem

one possibility would be to add this patch to [core]/rpms/firefox/FC-3 and include a line like "Patch43: GDK_KP_Separator.GTK2.patch" in the spec file.

(I did that and it works great)

The bug is really annoying when entering monetary values in web-interfaces...

Comment 1 Martin Winkler 2005-06-23 09:30:54 UTC
Created attachment 115861 [details]
patch for GTK1 (not really used, but added for completeness)

Comment 2 Martin Winkler 2005-06-23 09:31:37 UTC
Created attachment 115862 [details]
gtk2-patch - fixes the bug

Comment 3 Martin Winkler 2005-06-23 09:32:20 UTC
Created attachment 115863 [details]
patch for firefox.spec file (just adding the two patch files)

Comment 4 Matthew Miller 2006-07-10 22:29:22 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!



Note You need to log in before you can comment on or make changes to this bug.